%define Werror_cflags %nil
# "fix" underlinking:
%define _disable_ld_no_undefined 1
%define major       2
%define libname     %mklibname %{name} %{major}
%define resizemajor 0
%define libresize   %mklibname %{name}-fs-resize %{resizemajor}
%define develname   %mklibname %{name} -d

Name:           parted
Version:        3.5
Release:        %mkrel 3
Summary:        Flexible partitioning tool
License:        GPLv3+
Group:          System/Kernel and hardware
URL:            https://www.gnu.org/software/parted/
Source0:        https://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz
Source1:        https://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz.sig
#Patch0:         parted-3.5-link-new.patch

# Upstream patches since v3.5 release
Patch0001: 0001-maint-post-release-administrivia.patch
Patch0002: 0002-parted-add-type-command.patch
Patch0003: 0003-libparted-add-swap-flag-for-DASD-label.patch
Patch0004: 0004-parted-Reset-the-filesystem-type-when-changing-the-i.patch
Patch0005: 0005-tests-t3200-type-change-now-passes.patch
Patch0006: 0006-libparted-Fix-check-for-availability-of-_type_id-fun.patch
Patch0007: 0007-parted-Simplify-code-for-json-output.patch
Patch0008: 0008-disk.in.h-Remove-use-of-enums-with-define.patch
Patch0009: 0009-libparted-Fix-handling-of-gpt-partition-types.patch
Patch0010: 0010-tests-Add-a-libparted-test-for-ped_partition_set_sys.patch

Patch0011: 0011-libparted-Fix-handling-of-msdos-partition-types.patch
Patch0012: 0012-tests-Add-a-libparted-test-for-ped_partition_set_sys.patch
Patch0013: 0013-show-GPT-UUIDs-in-JSON-output.patch
Patch0014: 0014-gpt-Add-no_automount-partition-flag.patch
Patch0015: 0015-tests-XFS-requires-a-minimum-size-of-300M.patch

BuildRequires:  pkgconfig(devmapper)
BuildRequires:  gettext-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  pkgconfig(uuid)
BuildRequires:  libgpm-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  check-devel
BuildRequires:  readline-devel
BuildRequires:  python3
BuildRequires:  util-linux
BuildRequires:  texinfo
BuildRequires:  locales
#For tests
BuildRequires:  e2fsprogs
BuildRequires:  dosfstools

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganizing disk
usage, and copying data to new hard disks.

%package -n %{libname}
Summary:        The parted library
Group:          Development/C
Requires:       e2fsprogs

%description -n %{libname}
This package includes the dynamic libraries.

%package -n %{libresize}
Summary:        The parted library
Group:          Development/C

%description -n %{libresize}
This package includes the dynamic libraries.

%package -n %{develname}
Summary:        Files required to compile software that uses libparted
Group:          Development/C
Requires:       e2fsprogs
Requires:       %{libname} = %{version}
Requires:       %{libresize} = %{version}
Provides:       libparted-devel = %{version}
Provides:       parted-devel = %{version}

%description -n %{develname}
This package includes the header files and libraries needed to
link software with libparted.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static --disable-gcc-warnings
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%check
export LD_LIBRARY_PATH=$(pwd)/libparted/.libs:$(pwd)/libparted/fs/.libs
make check

%files -f %{name}.lang
%doc README
%{_sbindir}/*
%{_mandir}/man*/*
%{_infodir}/parted.info*

%files -n %{libname}
%doc TODO
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libresize}
%{_libdir}/lib%{name}-fs-resize.so.%{resizemajor}
%{_libdir}/lib%{name}-fs-resize.so.%{resizemajor}.*

%files -n %{develname}
%doc AUTHORS ChangeLog doc/API
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libparted.pc
%{_libdir}/pkgconfig/libparted-fs-resize.pc


%changelog
* Thu Dec 15 2022 tv <tv> 3.5-3.mga9
+ Revision: 1923169
- libparted: Fix handling of msdos partition types
- tests: Add a libparted test for ped_partition_set_system on msdos
- parted: Add display of GPT UUIDs in JSON output
- Add no_automount flag support
- increase xfs size to 300M
- tests: t3200-type-change now passes (bcl)
- parted: Reset the filesystem type when changing the id/uuid (bcl)
- libparted: add swap flag for DASD label (aschnell)
- parted: add type command (aschnell)
- maint: post-release administrivia (bcl)

* Tue Apr 19 2022 luigiwalser <luigiwalser> 3.5-1.mga9
+ Revision: 1851648
- 3.5
- rediff patch 0
- remove upstream patches

* Fri Apr 01 2022 umeabot <umeabot> 3.4-3.mga9
+ Revision: 1837805
- Mageia 9 Mass Rebuild
+ papoteur <papoteur>
- Fix tests with Buildrequires e2fsprogs and dosfstools

* Wed Mar 03 2021 daviddavid <daviddavid> 3.4-1.mga9
+ Revision: 1696965
- new version: 3.4
- backport some upstream fixes from 3.4 release
- remove merged upstream patch

* Fri Dec 11 2020 wally <wally> 3.3-4.mga8
+ Revision: 1655470
- fix build with autoconf 2.70

* Tue Feb 18 2020 umeabot <umeabot> 3.3-3.mga8
+ Revision: 1542200
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 3.3-2.mga8
+ Revision: 1475998
- rebuild for readline

* Thu Oct 31 2019 daviddavid <daviddavid> 3.3-1.mga8
+ Revision: 1457070
- new version: 3.3

* Thu Sep 19 2019 daviddavid <daviddavid> 3.2.153-1.mga8
+ Revision: 1443738
- new upstream ALPHA release v3.2.153 (Includes all patches)

* Thu Oct 04 2018 daviddavid <daviddavid> 3.2-10.mga7
+ Revision: 1317662
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ tv <tv>
- rely on filetriggers for info system (mga#23482)
+ kekepower <kekepower>
- Use new make macros

* Tue Jan 02 2018 wally <wally> 3.2-8.mga7
+ Revision: 1189457
- rebuild for new readline

* Thu Nov 10 2016 ghibo <ghibo> 3.2-7.mga6
+ Revision: 1066216
- merged Patches1055-1057 from git (they are just for tests)
- Removed Patch2 (Same as Patch1019).
- Reworked Patch0 (-link).
- Merged Patch1001-1054 from FC for fixing several bugs.

* Fri Feb 12 2016 umeabot <umeabot> 3.2-6.mga6
+ Revision: 956626
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 tv <tv> 3.2-5.mga6
+ Revision: 890470
- patch 2: Use read only when probing devices (less uevents)

* Fri Aug 21 2015 tmb <tmb> 3.2-4.mga6
+ Revision: 867676
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 3.2-3.mga5
+ Revision: 745334
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2-2.mga5
+ Revision: 683344
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 spuhler <spuhler> 3.2-1.mga5
+ Revision: 670843
- added misc-h.patch
- commented out the make check (one fails)
- upgrade to version 3.2
- rediffed link patch
- removed upstream implemented ui-switch-to-new-style-readline patch

* Mon Apr 21 2014 pterjan <pterjan> 3.1-5.mga5
+ Revision: 617335
- Add upstream fix to build with new readline

* Fri Oct 18 2013 umeabot <umeabot> 3.1-4.mga4
+ Revision: 521568
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 3.1-3.mga3
+ Revision: 391307
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 3.1-2.mga3
+ Revision: 362428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 fwang <fwang> 3.1-1.mga3
+ Revision: 278208
- update file list
- more linkage dir patch
- fix sourcedir
- more fix
- generate Makefile
- finally move fsresize into seperate dir
- force reconf
- fix linkage
- try build static lib
- new version 3.1

* Tue May 08 2012 fwang <fwang> 3.0-3.mga2
+ Revision: 234900
- br texinfo
- sync with fedora patches to cleanup tests
- drop invalid provides
- specify packager

* Tue Jan 24 2012 tv <tv> 3.0-2.mga2
+ Revision: 200545
- patch 0: fix crash on probing nilfs2 (mga#4135)

* Sat Jul 09 2011 dams <dams> 3.0-1.mga2
+ Revision: 120744
- Update to 3.0

* Sat Jan 15 2011 mikala <mikala> 2.3-1.mga1
+ Revision: 18421
- Drop mdk macro
- Remove BuildRoot
- imported package parted

